Page MenuHomePhabricator

{{#property}} parser function should output EntityIdValues as local wiki links, once we have article placeholders
Closed, DeclinedPublic

Description

When rendering an EntityIdValue, we currently only output the target entity's label. We should instead create a local interwiki link using the appropriate label along with the local page connected to the target item, if there is any.

If there's no page connected, just return the (wikitext escaped) label.

See also T99898: Create {{#entity-link|Q123}} parser function for linking to the local page about a given entity.

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
ResolvedLucie
ResolvedLucie
InvalidLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
OpenNone
Resolvedhoo
ResolvedLucie
Resolvedoschposch
Resolvedhoo
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
OpenNone
ResolvedLucie
ResolvedLucie
DuplicateLucie
ResolvedLucie
DuplicateLucie
ResolvedLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
Resolvedthiemowmde
OpenLydia_Pintscher
ResolvedLucie
OpenLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolved Jonas
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

daniel created this task.May 21 2015, 12:48 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added subscribers: daniel, Aklapper.
jeblad added a subscriber: jeblad.Jul 27 2015, 9:33 PM

A duplicate at T104998.
This is a lot like my example way back then.. ;)

hoo renamed this task from {{#property}} parser function should output EntityIdValues as local wiki links. to {{#property}} parser function should output EntityIdValues as local wiki links, once we have article placeholders.Jul 27 2015, 11:08 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 9:32 AM
Lydia_Pintscher triaged this task as Normal priority.Apr 21 2016, 1:16 PM
Lucie moved this task from Incoming to Backlog on the ArticlePlaceholder board.May 24 2016, 12:52 PM
hoo renamed this task from {{#property}} parser function should output EntityIdValues as local wiki links, once we have article placeholders to {{#statement}} parser function should output EntityIdValues as local wiki links, once we have article placeholders.Aug 14 2016, 5:22 PM
hoo added a subscriber: hoo.Aug 14 2016, 5:25 PM

This will be fixed in the new {{#statement:…}} parser function, but not in the current {{#property:…}} one as many consumers rely on the current behavior.

hoo renamed this task from {{#statement}} parser function should output EntityIdValues as local wiki links, once we have article placeholders to {{#statements}} parser function should output EntityIdValues as local wiki links, once we have article placeholders.Aug 24 2016, 7:07 PM
hoo renamed this task from {{#statements}} parser function should output EntityIdValues as local wiki links, once we have article placeholders to EntityIdValues should be formatted as local wiki links in Wikitext output.Oct 7 2016, 6:12 PM
hoo updated the task description. (Show Details)
hoo renamed this task from EntityIdValues should be formatted as local wiki links in Wikitext output to {{#property}} parser function should output EntityIdValues as local wiki links, once we have article placeholders.Oct 13 2016, 11:41 AM